
local recipes = {
    {"bushes:strawberry 4", "farming:sugar",3},
    {"bushes:raspberry 4", "farming:sugar",3},
    {"bushes:gooseberry 4", "farming:sugar",3},
    {"bushes:blackberry 4", "farming:sugar",3},
    {"default:blueberries 4", "farming:sugar",3},
}

-- register recipes
for _, data in pairs(recipes) do
    local alloy_time = data[3] or 1
    local b_registered = true
    for i=1,2 do
        if data[i] then
            local item_name = string.split(data[i],' ')[1]
            b_registered = b_registered and (minetest.registered_items[item_name] ~= nil)
        else
            print(dump(data[i]))
            b_registered = false
        end
    end
    if b_registered then
    	technic.register_separating_recipe({input = {data[1]}, output = data[2], time = data[3]})
    end
end
